
From: Victor Fusco <victor@cetuc.puc-rio.br>

Fix the sparse warning "implicit cast to nocast type"

Signed-off-by: Victor Fusco <victor@cetuc.puc-rio.br>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/radix-tree.h |    4 ++--
 lib/radix-tree.c           |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN include/linux/radix-tree.h~lib-radix-tree-fix-nocast-type-warnings include/linux/radix-tree.h
--- devel/include/linux/radix-tree.h~lib-radix-tree-fix-nocast-type-warnings	2005-07-14 16:06:07.000000000 -0700
+++ devel-akpm/include/linux/radix-tree.h	2005-07-14 16:06:07.000000000 -0700
@@ -24,7 +24,7 @@
 
 struct radix_tree_root {
 	unsigned int		height;
-	int			gfp_mask;
+	unsigned int		gfp_mask;
 	struct radix_tree_node	*rnode;
 };
 
@@ -51,7 +51,7 @@ void *radix_tree_delete(struct radix_tre
 unsigned int
 radix_tree_gang_lookup(struct radix_tree_root *root, void **results,
 			unsigned long first_index, unsigned int max_items);
-int radix_tree_preload(int gfp_mask);
+int radix_tree_preload(unsigned int __nocast gfp_mask);
 void radix_tree_init(void);
 void *radix_tree_tag_set(struct radix_tree_root *root,
 			unsigned long index, int tag);
diff -puN lib/radix-tree.c~lib-radix-tree-fix-nocast-type-warnings lib/radix-tree.c
--- devel/lib/radix-tree.c~lib-radix-tree-fix-nocast-type-warnings	2005-07-14 16:06:07.000000000 -0700
+++ devel-akpm/lib/radix-tree.c	2005-07-14 16:06:07.000000000 -0700
@@ -109,7 +109,7 @@ radix_tree_node_free(struct radix_tree_n
  * success, return zero, with preemption disabled.  On error, return -ENOMEM
  * with preemption not disabled.
  */
-int radix_tree_preload(int gfp_mask)
+int radix_tree_preload(unsigned int __nocast gfp_mask)
 {
 	struct radix_tree_preload *rtp;
 	struct radix_tree_node *node;
_
